Package org.eclipse.ecf.remoteservice.client

# Class RemoteCallParameter.Builder

java.lang.Object
org.eclipse.ecf.remoteservice.client.RemoteCallParameter.Builder

Enclosing class:
  RemoteCallParameter

public static class RemoteCallParameter.Builder extends Object

Since:
  8.5

## Constructor Summary

Constructors
Constructor
Description
`Builder()`

## Method Summary

Modifier and Type
Method
Description
`RemoteCallParameter.Builder`
`addParameter(String name)`
`RemoteCallParameter.Builder`
`addParameter(String name, Object defaultValue)`
`RemoteCallParameter.Builder`
`addParameter(IRemoteCallParameter param)`
`IRemoteCallParameter[]`
`build()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Builder

public Builder()

## Method Details

### addParameter

public RemoteCallParameter.Builder addParameter(String name, Object defaultValue)

### addParameter

public RemoteCallParameter.Builder addParameter(String name)

### addParameter

public RemoteCallParameter.Builder addParameter(IRemoteCallParameter param)

Parameters:
  `param` - remote call parameter to add
Returns:
  Builder the builder
Since:
  8.8

### build

public IRemoteCallParameter[] build()